import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class TriangleCheckerTest {

    @Test
    void checkTriangle() {

        float a = 3;
        float b = 4;
        float c = 5;

        TriangleChecker.TriangleType result = TriangleChecker.checkTriangle(a, b, c);
        System.out.println(result);

        assertEquals(TriangleChecker.TriangleType.NORMAL, result, "Normales Dreieck");

        float d = 4;
        float e = 4;
        float f = 4;

        TriangleChecker.TriangleType result2 = TriangleChecker.checkTriangle(d, e, f);
        System.out.println(result2);

        assertEquals(TriangleChecker.TriangleType.EQUILATERAL, result2, "Gleichseitiges");
    }
}